Page MenuHomePhabricator

After compiling from GIT source, some .spec files missing the "Release:" and "Requires:"entry
Closed, WontfixPublic

Description

The following enlightment projects are affected so far (List will be updated)

enlightenment
terminology
econnman
rage

Workaround:
Before "make install" or "checkinstall" you have to place the following commands:

sed -i -- 's/^Release: %{_rel}/Release: testing/g' enlightenment.spec
sed -i -- 's/^Requires: %{name} = %{version}/Requires:/g' enlightenment.spec

sed -i -- 's/^Release: %{_rel}/Release: testing/g' terminology.spec

sed -i -- 's/^Release: %{_rel}/Release: testing/g' econnman.spec

sed -i -- 's/^Release: %{_rel}/Release: testing/g' rage.spec

Please fix in source.
Thanx

nephilim1973 updated the task description. (Show Details)Dec 9 2016, 11:43 PM
nephilim1973 added a project: Restricted Project.

Looks wrong to do that.

bu5hm4n reassigned this task from zmike to simotek.Feb 13 2017, 2:03 PM
bu5hm4n added a subscriber: bu5hm4n.

What do you mean to that?

I didn't write whichever spec files are in the git repo so i'd expect them to be untested broken and out of date :-P

Someone else probably did, @raster @stefan_schmidt do you think we should even keep distro specific build files in the repo's. These days most projects tend to keep them in there own tracking and the chances of them getting synced correctly are unlikely.

@nephilim1973 if you would like up to date spec files, you should be able to pull them from here https://build.opensuse.org/project/show/X11:Enlightenment:Factory

@simotek My personal taste here is to not have any distro specific files inside the repo. Be it spec files, pkgbuild or debian files. Every attempt so far to get rid of them resulted in people complaining that they are still used, though. Bring it up on the list to get some more feedback if you want to tackle this.

I've removed all distro packaging files from enlightenment. We should not be providing/shipping these; that is the responsibility of the distro. If people are interested in having distro support for a project then they should be working with the upstream distro developers, not working around them.

simotek closed this task as Wontfix.Mar 12 2018, 4:59 PM

I'm going to close this as won't fix, if we have any spec files left in git we should remove them, they are not maintained by anyone.